Skip to main content
`Ctrl`+`K`

# numpy.isrealobj

numpy.isrealobj(x)

  Return True if x is a not complex type or an array of complex numbers.

  The type of the input is checked, not the value. So even if the input has an imaginary part equal to zero, `isrealobj` evaluates to False if the data type is complex.

  Parameters:
    x any

      The input can be of any type and shape.

  Returns:
    y bool

      The return value, False if x is of a complex type.

  See also

  `iscomplexobj`, `isreal`

  Notes

  The function is only meant for arrays with numerical values but it accepts all other objects. Since it assumes array input, the return value of other objects may be True.

      >>> np.isrealobj('A string')
      True
      >>> np.isrealobj(False)
      True
      >>> np.isrealobj(None)
      True

  Examples

      >>> import numpy as np
      >>> np.isrealobj(1)
      True
      >>> np.isrealobj(1+0j)
      False
      >>> np.isrealobj([3, 1+0j, True])
      False